Simulate Card Authorization Reversal
curl --request POST \
--url https://api.meow.com/v1/simulations/card_authorizations/{authorization_id}/reverse \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"reverse_amount": 10000000
}
'import requests
url = "https://api.meow.com/v1/simulations/card_authorizations/{authorization_id}/reverse"
payload = { "reverse_amount": 10000000 }
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({reverse_amount: 10000000})
};
fetch('https://api.meow.com/v1/simulations/card_authorizations/{authorization_id}/reverse', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.meow.com/v1/simulations/card_authorizations/{authorization_id}/reverse"
payload := strings.NewReader("{\n \"reverse_amount\": 10000000\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("x-api-key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.meow.com/v1/simulations/card_authorizations/{authorization_id}/reverse")
.header("x-api-key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"reverse_amount\": 10000000\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.meow.com/v1/simulations/card_authorizations/{authorization_id}/reverse")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["x-api-key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"reverse_amount\": 10000000\n}"
response = http.request(request)
puts response.read_body<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.meow.com/v1/simulations/card_authorizations/{authorization_id}/reverse",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'reverse_amount' => 10000000
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}const url = 'https://api.meow.com/v1/simulations/card_authorizations/{authorization_id}/reverse';
const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({reverse_amount: 10000000})
};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));using RestSharp;
var options = new RestClientOptions("https://api.meow.com/v1/simulations/card_authorizations/{authorization_id}/reverse");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("x-api-key", "<api-key>");
request.AddJsonBody("{\n \"reverse_amount\": 10000000\n}", false);
var response = await client.PostAsync(request);
Console.WriteLine("{0}", response.Content);val client = OkHttpClient()
val mediaType = MediaType.parse("application/json")
val body = RequestBody.create(mediaType, "{\n \"reverse_amount\": 10000000\n}")
val request = Request.Builder()
.url("https://api.meow.com/v1/simulations/card_authorizations/{authorization_id}/reverse")
.post(body)
.addHeader("x-api-key", "<api-key>")
.addHeader("Content-Type", "application/json")
.build()
val response = client.newCall(request).execute()import Foundation
let parameters = ["reverse_amount": 10000000] as [String : Any?]
let postData = try JSONSerialization.data(withJSONObject: parameters, options: [])
let url = URL(string: "https://api.meow.com/v1/simulations/card_authorizations/{authorization_id}/reverse")!
var request = URLRequest(url: url)
request.httpMethod = "POST"
request.timeoutInterval = 10
request.allHTTPHeaderFields = [
"x-api-key": "<api-key>",
"Content-Type": "application/json"
]
request.httpBody = postData
let (data, _) = try await URLSession.shared.data(for: request)
print(String(decoding: data, as: UTF8.self))falsefalse$headers=@{}
$headers.Add("x-api-key", "<api-key>")
$headers.Add("Content-Type", "application/json")
$response = Invoke-WebRequest -Uri 'https://api.meow.com/v1/simulations/card_authorizations/{authorization_id}/reverse' -Method POST -Headers $headers -ContentType 'application/json' -Body '{
"reverse_amount": 10000000
}'{
"authorization_id": "<string>",
"amount": "<string>",
"approved": true,
"created_at": "2023-11-07T05:31:56Z"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Sandbox
Simulate Card Authorization Reversal
⚠️ Sandbox & development only. Simulation endpoints are not available in production and return
404 Not Foundthere.
Simulates reversing a previously simulated card authorization in the sandbox. Pass the authorization_id returned when you created the authorization.
POST
/
simulations
/
card_authorizations
/
{authorization_id}
/
reverse
Simulate Card Authorization Reversal
Authorizations
Your Meow API key, sent in the x-api-key header for authentication.
Headers
Optional entity_id to scope requests to a specific entity.
Path Parameters
Body
application/json
Amount to reverse, in dollars. Defaults to the full authorized amount.
Required range:
0 < x <= 20000000Response
Successful Response
The authorization identifier. Pass this to capture, increment, or reverse the authorization.
The authorization status.
Available options:
pending, closed, expired, reversed The authorization amount, in dollars.
Pattern:
^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$Whether the authorization was approved.
When the authorization was created.
⌘I